# Rampage
#### By iDeathHD

A mod that introduces the Rampage mechanic from Path of Exile.

### Informations

- For now the timer for keeping the streak up is 8 seconds and not 5 like in PoE, because 5 in this game seems very lackluster, especially at the beginning and in 4 players games since you need the killing blow to get a rampage stack. I don't want the mod to trivialize the game too much, but if people find it really lacking i will see to change it.

- Some rampage tiers will most likely be changed, don't hesitate to PM me some nice ideas in the RoR2 Modding Discord @iDeathHD

- The final plan would be to have the mechanic gated behind a red-tier item, so i could give it a little more juice, but for now, modding new items in the game is not a thing still...

### Installation Guide

- Copy both `Rampage` and `MiniRpcLib` folders to your BepInEx plugins folder.

MiniRpcLib (made by Wildbook) is a networking library that will allow this mod to work in multiplayer.

### Current Rampage Tiers

In addition of getting specifics rewards for reaching tiers, your character will get :

- 1% increased Movement Speed per 20 Rampage Stacks
- 2% increased Damage per 20 Rampage Stacks

The rampage stack is not capped.

| Tiers                      | Required Kills |                                                       What does they do      |
| :------------------------: | :------------: | ---------------------------------------------------------------------------: |
| 1                          |       15       |1 nova of 15 lightning orbs comes from the player                             |
| 2                          |       30       |Detonate all enemies in a 50 unit radius                                      |
| 3                          |       45       |Summon 1 beetle for 30 seconds                                                |
| 4                          |       70       |Detonate all enemies in a 100 unit radius                                     |
| 5                          |       100      |1 nova of 15 lightning orbs comes from the player in a rapid succession       |
| 6                          |       135      |Summon 10 backup drones for 25 seconds                                        |
| 7                          |       175      |5 novas of 15 lightning orbs comes from the player with 1 second delay        |
| 8                          |       220      |Summon 2 beetles for 30 seconds                                               |
| 9                          |       270      |Detonate all enemies in a 100 unit radius                                     |
| 10                         |       325      |Detonate all enemies in a 100 unit radius and summon 2 beetles for 30 seconds |
| 11                         |       385      |5 nova of 15 lightning orbs comes from the player in a rapid succession       |
| 12                         |       450      |2 quick detonations in a 100 unit radius                                      |
| 13                         |       520      |5 nova of 15 lightning orbs comes from the player, 10 drones, and detonation  |

### Changelog

`0.0.5` - Different technique for calculating distances, removing attached scripts to GameObject when not needed, and the most important of all, Engi turrets give rampage stacks ! Yah ! Tell me if you find any bug !

`0.0.4` - Hopefully fixed the first tier not launching...

`0.0.3` - Fixed crashes related to the Lightning Balls. Made in a more Unity-esque way. ;)

`0.0.2` - Fixed the timer going down when the game was paused.

`0.0.1` - Initial release of the mod.